Bug 50640 - xfig /transfig export/print bug
xfig /transfig export/print bug
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xfig (Show other bugs)
7.1
i586 Linux
high Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 16:23 EDT by Need Real Name
Modified: 2015-01-07 18:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 09:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-01 16:23:25 EDT
Description of Problem:





-xfig is not able to print/export postscript (*.ps or *.eps) or else


 if the current fig includes one or more "picture objekts"


 ( any kind of bitmap as .bmp, .xmp, .gif, .tiff).





-one older xfig/transfig on suse-linux 5.0 will work.





-xfig can print/export fig's that do not include "picture objekts".





-i thing fig2dev  from the transfig package is bugy 





How Reproducible:





open a new fig with xfig. ad one "picture objekt" 


the pictuer objekt edit dialog apears. use browse to 


selekt one bitmap or gif. press apply, close and done.


the bitmap will be imported correctly.





press the file menue, selekt explort, selekt postscript or eps.


open the exported postscript with GV or ghostscript.


GV and ghostscript are not able to view or print, 


several error's in a messagebox apear.











Steps to Reproduce:





1. open a new fig with xfig


   -type start xfig safe the new fig





2. ad one "picture objekt"


   -press the picture objekt symbol (look's like a camera)


   -draw a picture objekt (it looks the same like drawing a recktangle)


   -the pictuer objekt edit dialog apears 


   -use browse to selekt one bitmap or gif press apply, close and done.


   -the bitmap will be imported correctly.





3. export the fig as any kind of phostscript


   -press the file menue, selekt explort


   -selekt postscript or eps, then export it





4. the exported phostscript is corrupt


   -open the exported postscript with GV or ghostscript


   -GV and ghostscript are not able to view or print, 


    several error's in a messagebox apear





Actual Results:





a corrupt postscript file / not able to print / not able to view 





Expected Results:





one postscript file showing the same as the fig.


 





Additional Information:





including bitmaps/gif/so on in xfig and exporting/printing


will work on suse-linux 5.0 5.3 6.3.





the xfig documentation shows noting abaut this problem
Comment 1 Jay Turner 2001-09-18 09:58:35 EDT
Assigning to the correct component.
Comment 2 Johnray Fuller 2002-07-29 13:07:09 EDT
Jay, I'm not sure who the QA contact is. I am putting you down as the man for now.

Johnray
Comment 3 Ngo Than 2003-06-10 09:20:10 EDT
it's fixed in xfig-3.2.4-1, which is available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.